Robots
Probe Robot MCP server
Resolve an MCP endpoint from a URL, optionally using an MCP Server Card, and attempt a streamable HTTP MCP handshake.
POST
/robots/mcp-servers/probeResolve an MCP endpoint from a URL, optionally using an MCP Server Card, and attempt a streamable HTTP MCP handshake.
storyden-session<token>
In: cookie
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/robots/mcp-servers/probe" \ -H "Content-Type: application/json" \ -d '{ "url": "http://example.com" }'{ "input_url": "http://example.com", "endpoint_url": "http://example.com", "server_card_url": "http://example.com", "server_card": { "name": "string", "version": "string", "description": "string", "title": "string", "websiteUrl": "http://example.com", "remotes": [ { "type": "string", "url": "http://example.com", "supportedProtocolVersions": [ "string" ] } ] }, "remote_type": "string", "active": true, "probe_error": "string"}